UnsupportedCallbackException (Java SE 15 & JDK 15)
Description: declaration: module: java.base, package: javax.security.auth.callback, class: UnsupportedCallbackException
Keywords: javax.security.auth.callback.UnsupportedCallbackException class

Module java.base
Package javax.security.auth.callback

# Class UnsupportedCallbackException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.security.auth.callback.UnsupportedCallbackException

All Implemented Interfaces:
  `Serializable`

    public class UnsupportedCallbackException
    extends Exception

Signals that a `CallbackHandler` does not recognize a particular `Callback`.

Since:
  1.4
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UnsupportedCallbackException​(Callback callback)` | Constructs an `UnsupportedCallbackException` with no detail message.
  `UnsupportedCallbackException​(Callback callback, String msg)` | Constructs a UnsupportedCallbackException with the specified detail message.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Callback` | `getCallback()` | Get the unrecognized `Callback`.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedCallbackException

    public UnsupportedCallbackException​(Callback callback)
    Constructs an `UnsupportedCallbackException` with no detail message.
    Parameters:
      `callback` - the unrecognized `Callback`.

  - ### UnsupportedCallbackException

    public UnsupportedCallbackException​(Callback callback, String msg)
    Constructs a UnsupportedCallbackException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `callback` - the unrecognized `Callback`.
      `msg` - the detail message.

- ## Method Details

  - ### getCallback

    public Callback getCallback()
    Get the unrecognized `Callback`.
    Returns:
      the unrecognized `Callback`.